Bug 1008084 - secure boot does no longer work after uefi update
secure boot does no longer work after uefi update
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: shim-signed (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-14 10:15 EDT by Frank Ansari
Modified: 2015-02-17 12:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:11:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
db-d719b2cb-3d3a-4596-a3bc-dad00e67656f with 1204 (6.13 KB, application/octet-stream)
2013-10-10 04:44 EDT, Frank Ansari
no flags Details

  None (edit)
Description Frank Ansari 2013-09-14 10:15:59 EDT
Description of problem:
I have a PC with an ASUS board P8B75-M LE. I did an update from BIOS (UEFI) version 1101 to 1204.

http://www.asus.com/Motherboards/P8B75M_LE/#support_Download_8

Now secure boot does no longer work. When I boot my PC it directly starts the UEFI but does not boot Fedora.

When I disable secure boot it is working.

How reproducible:
See above.


Steps to Reproduce:
1.
2.
3.

Actual results:
System does boot with secure boot disabled but not with secure boot enabled.

Expected results:
System should boot Fedora with secure boot enabled.

Additional info:
All older versions (I cannot remember the oldest one) did work with secure boot.
Comment 1 Frank Ansari 2013-09-14 10:37:35 EDT
I did a downgrade to 1101 to see what will happen. 1101 works with secure boot.
What kind of problem is this now? Is it in Fedora or in the vendor's UEFI? Are there perhpas keys missing?
Comment 2 Frank Ansari 2013-09-14 12:34:26 EDT
Complaint also written to ASUS:

https://vip.asus.com/VIP2/Services/MailDetail/WTM20130914235216640
Comment 3 Peter Jones 2013-10-09 14:26:10 EDT
Can you boot with secure boot disabled and then attach the contents of /sys/firmware/efi/efivars/db-d719b2cb-3d3a-4596-a3bc-dad00e67656f ?
Comment 4 Frank Ansari 2013-10-10 04:44:54 EDT
Created attachment 810376 [details]
db-d719b2cb-3d3a-4596-a3bc-dad00e67656f with 1204
Comment 5 Fedora End Of Life 2015-01-09 14:50:12 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 12:11:10 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.